# abort-command(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

abort-command - Abort command

## SYNOPSIS

abort-command (C-g)

## DESCRIPTION

Aborts the current command, when in trouble, this command will usually limit the damage. If you find yourself in a position where you do not want to be then this command will usually take you back to a sane state. This command rings the bell and stops keyboard macros.

Avoid re-binding this key where possible as it is used in other places.

When abort-command is invoked a warning is automatically given alerting the user, this may be an audible or a visual warning depending on the global state of the quiet(5) global variable.

## SEE ALSO

buffer-mode(2), quiet(5).

(c) Copyright JASSPA 2009
Last Modified: 2009/10/03
Generated On: 2009/10/12

</HMTL>